## sysinfo sysinfo |

## Functions

const glibtop_sysinfo * | glibtop_get_sysinfo_s ()
const glibtop_sysinfo * | glibtop_get_sysinfo ()

## Types and Values

#define | GLIBTOP_SYSINFO_NCPU
#define | GLIBTOP_SYSINFO_CPUINFO
#define | GLIBTOP_MAX_SYSINFO
struct | glibtop_sysinfo
struct | glibtop_entry
#define | glibtop_get_sysinfo_r

## Includes

    #include <glibtop/sysinfo.h>

## Description

## Functions

### glibtop_get_sysinfo_s ()

    const glibtop_sysinfo *
    glibtop_get_sysinfo_s (glibtop *server);

### glibtop_get_sysinfo ()

    const glibtop_sysinfo *
    glibtop_get_sysinfo (void);

## Types and Values

### GLIBTOP_SYSINFO_NCPU

    #define GLIBTOP_SYSINFO_NCPU		0

### GLIBTOP_SYSINFO_CPUINFO

    #define GLIBTOP_SYSINFO_CPUINFO		1

### GLIBTOP_MAX_SYSINFO

    #define GLIBTOP_MAX_SYSINFO		2

### struct glibtop_sysinfo

    struct glibtop_sysinfo {
    	guint64 flags;
    	guint64 ncpu;
    	glibtop_entry cpuinfo [GLIBTOP_NCPU];
    };

#### Members

guint64 `flags`; |  |
guint64 `ncpu`; |  |
glibtop_entry `cpuinfo`[GLIBTOP_NCPU]; |  |

### struct glibtop_entry

    struct glibtop_entry {
    	GPtrArray *labels;
    	GHashTable *values; /* key -> description */
    	GHashTable *descriptions; /* unused */
    };

### glibtop_get_sysinfo_r

    #define glibtop_get_sysinfo_r glibtop_get_sysinfo_s